Subject: bug#46935: 28.0.50; Annoying interactions with X clipboard

From: Michael Heerdegen <[email-masked]>
Date: Tue, 09 Mar 2021 04:01:14 +0100

Lars Ingebrigtsen <[email-masked]> writes:

> > `x-selection-timeout'.  Shouldn't that be "our" variable?  Seems I have
> > set it to 0 (meaning infinity) in my config.  Here on this system the
> > variable is initialized with 5000 (milliseconds).
>
> Ah, I thought Emacs hung forever, but it turns out I was just too
> impatient.  Emacs does indeed hang for just five seconds (when testing
> with two "emacs -Q"s).

Would it be appropriate and technically possible to implement a visual
feedback like "waiting up to X seconds for feedback from whatever" or
even a little countdown "waiting for feedback from system clipboard, 3,
2, 1, giving up" or so?

> Killing text shouldn't hang Emacs, I'd have thought [...]

Question is whether that can be avoided.  Does anybody know?

Regards,

Michael.